package com.yd.csf.feign.enums;

/**
 * 地址类型枚举值
 */
public enum AddressEnum {

    RESIDENCE_ADDRESS("居住地址","residenceAddress"),
    RESIDENTIAL_ADDRESS("住宅地址","residentialAddress"),
    MAILING_ADDRESS("邮寄地址","mailingAddress"),
    COMPANY_ADDRESS("公司地址","companyAddress"),
    ;
    //字典项标签（名称）
    private String itemLabel;
    //字典项值
    private String itemValue;

    //构造函数
    AddressEnum(String itemLabel, String itemValue) {
        this.itemLabel = itemLabel;
        this.itemValue = itemValue;
    }

    public String getItemLabel() {
        return itemLabel;
    }

    public String getItemValue() {
        return itemValue;
    }
}
